com.ibm.openpages.api.scheduler

## Class ScheduleValidator

- java.lang.Object
- - com.ibm.openpages.api.scheduler.ScheduleValidator

-     public class ScheduleValidator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LIMIT_SCHEDULE_INTERVALS_REG_ENTRY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduleValidator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validateJob(ISchedJobDetail jobDetail, java.util.List<SchdOPJobDetail_> jobs)`
    `static void` | `validateJobEnabled(ISchedJobDetail jobDetail)`
    `static void` | `validateJobNotUsedByWorkflow(java.util.List<WFProcessDefinition_> processDefinitionPOs)`
    `static void` | `validateSchedule(ISchedJobDetail jobDetail, java.lang.String name, java.lang.String cronExpression, java.util.Date startAt, java.util.Date endAt, IConfigurationService configurationService)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LIMIT_SCHEDULE_INTERVALS_REG_ENTRY

          public static final java.lang.String LIMIT_SCHEDULE_INTERVALS_REG_ENTRY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScheduleValidator

          public ScheduleValidator()

  - ### Method Detail

    - #### validateJob

          public static void validateJob(ISchedJobDetail jobDetail,
                                         java.util.List<SchdOPJobDetail_> jobs)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### validateSchedule

          public static void validateSchedule(ISchedJobDetail jobDetail,
                                              java.lang.String name,
                                              java.lang.String cronExpression,
                                              java.util.Date startAt,
                                              java.util.Date endAt,
                                              IConfigurationService configurationService)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### validateJobEnabled

          public static void validateJobEnabled(ISchedJobDetail jobDetail)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### validateJobNotUsedByWorkflow

          public static void validateJobNotUsedByWorkflow(java.util.List<WFProcessDefinition_> processDefinitionPOs)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.